Skip to main content
`Ctrl`+`K`

# MatMPIAIJGetLocalMatCondensed

Creates a `MATSEQAIJ` matrix from an `MATMPIAIJ` matrix by taking all its local rows and NON-ZERO columns

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatMPIAIJGetLocalMatCondensed(Mat A, MatReuse scall, IS *row, IS *col, Mat *A_loc)

Not Collective

## Input Parameters

- A - the matrix

- scall - either `MAT_INITIAL_MATRIX` or `MAT_REUSE_MATRIX`

- row - index set of rows to extract (or `NULL`)

- col - index set of columns to extract (or `NULL`)

## Output Parameter

- A_loc - the local sequential matrix generated

## See Also

Matrices, `Mat`, `MATMPIAIJ`, `MatGetOwnershipRange()`, `MatMPIAIJGetLocalMat()`

## Level

developer

## Location

src/mat/impls/aij/mpi/mpiaij.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages